shishi_key_principal(3)

NAME
shishi_key_principal - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_key_principal(const Shishi_key * key);

ARGUMENTS

const Shishi_key * key
    structure that holds key information

DESCRIPTION
Get the principal part of the key owner principal name, i.e., except the realm.

RETURN VALUE
Returns the principal owning the key. (Not a copy of it, so don't modify or deallocate it.)

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.